Wired Network (Template)
63 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getSupportPortsDeviceTemplates | GET | Get grid devices templates that support ports config. |
| getInternetTemplate | GET | Get internet info |
| getInternetBasicPortInfo | GET | Get site template internet basic info |
| modifyInternetBasicPortInfo | PUT | Modify site template internet basic configuration |
| getInternetLoadBalance | GET | Get site template internet load balance config |
| modifyInternetLoadBalance | PUT | Modify site template internet load balance config |
| getLoadBalanceWeightStatusTemplate | GET | Check Wan Loadbalance status |
| getLanNetworkTemplateList | GET | Get LAN network template list |
| createLanNetworkTemplate | POST | Create LAN network template |
| deleteLanNetworkTemplate | DELETE | Delete LAN network template |
| getLanNetworkTemplate | GET | Get LAN network template |
| modifyLanNetworkTemplate | PATCH | Modify LAN network template |
| getAllLanNetworksTemplate | GET | Get all network templates for the omada id and site template id |
| getInterfaceLanNetworkV2_1 | GET | Get all "single"/"multi" interface lan network template |
| getLanProfileTemplateList | GET | Get LAN profile template list |
| createLanProfileTemplate | POST | Create new LAN profile template |
| deleteLanProfileTemplate | DELETE | Delete an existing LAN profile template |
| modifyLanProfileTemplate | PATCH | Modify a LAN profile template |
| getUseLanProfileESTemplateList | GET | Get Use LAN profile ES template list |
| createVlans | POST | Batch create vlans template |
| getLanDnsTemplateList | GET | Get LAN Dns template list |
| createLanDnsTemplate | POST | Create LAN Dns template |
| deleteLanDnsTemplate | DELETE | Delete LAN Dns template |
| modifyLanDnsTemplate | PATCH | Modify LAN Dns template |
| getAutoEffectDevicesTemplateWhenModify | POST | Get auto effect devices when modifying network |
| getAutoSelectDevicesTemplateWhenModify | POST | Get auto select devices when modifying network |
| checkTemplateParamAndGetPreConfigWhenModify | POST | Check all parameters and generate configuration when modifying the network template |
| confirmModifyVlanNetworkTemplate | PUT | Confirm modify lan network template |
| getSelectDeviceTemplatePortsInfoWhenModify | POST | Get the port information of the selected device templates when modifying the network for site template |
| checkNetworkTemplateParamWhenModify | POST | Check basic parameters when modifying the network |
| checkTemplatePortBindingParamWhenModify | POST | Check port binding when modifying network for site template |
| getVlanNetworkAffectedDevice | GET | Get device template list that use the network |
| getTemplateGridVlanNetworkAffectedDevicePorts | GET | Get the ports of devices template that use the network |
| getVlanNetworkAffectedSsid | GET | Get grid ssid template list that use the vlan |
| getAutoEffectDevicesTemplateWhenCreate | POST | Get auto effect devices when creating network |
| checkTemplateParamAndGetPreConfig | POST | Check all parameters and generate configuration when creating network template |
| confirmCreateVlanNetworkTemplate | POST | Confirm create lan network template |
| getGridSupportVlanNetworkDevicesBySiteTemplate | GET | Get device template list that can be dhcp server |
| getSelectDeviceTemplatePortsInfo | POST | Get the port information of the selected device templates when creating network for site template |
| checkNetworkTemplateParamWhenCreate | POST | Check basic parameters when creating network template |
| checkTemplatePortBindingParamWhenCreate | POST | Check selected ports when creating network for site template |
| getAvailableVirtualWanTemplate | GET | Query available virtual WAN list for template |
| getSpeedTestV2SettingTemplate | GET | Get SpeedTest Setting Template |
| modifySpeedTestV2SettingTemplate | POST | Modify SpeedTest Setting Template |
| getGridVirtualWanTemplate | GET | Query virtual WAN list template |
| createVirtualWanTemplate | POST | Create virtual WAN template |
| deleteVirtualWan | DELETE | Delete virtual WAN template |
| modifyVirtualWanTemplate | PATCH | Modify virtual WAN template |
| modifyVirtualWanStatusTemplate | PATCH | Modify virtual WAN status template |
| checkVirtualWanUsed | GET | Check Virtual Wan Used |
| getAvailableWanPorts | GET | Get available wan ports |
| modifyWanPortsTemplate | PATCH | Modify Wan Ports |
| getAllValidVlansInSiteForSwitchOuiBasedVlan | GET | Get valid site template vlanList for switch oui based vlan |
| checkWanLanStatus | GET | Check template WAN-LAN status |
| getWanPortsMaxSpeed | GET | Get wan ports max speed |
| modifySinglePortSettingTemplate | PATCH | Modify Wan Port Settings Template |
| batchIsolateLanNetwork | POST | Batch isolate network |
| getAllInterfacesForBatchIsolate | GET | Get interface Grid |
| getOswLanProfileTemplateList | GET | Get switch profile template list |
| createOswLanProfileTemplate | POST | Create new switch profile template |
| deleteOswLanProfileTemplate | DELETE | Delete an existing switch profile template |
| modifyOswLanProfileTemplate | PATCH | Modify a switch profile template |
| getLanNetworkTemplateListV3 | GET | Get LAN network template list |
getSupportPortsDeviceTemplates
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/devicetemplates/support-ports
Get grid devices templates that support ports config.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getSupportPortsDeviceTemplates",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get grid devices templates that support ports config.
The interface requires one of the permissions:
Global Site Template Manager View Only
getInternetTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/internet
Get internet info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getInternetTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get internet info On site template.
The interface requires one of the permissions:
Global Site Template Manager View Only
getInternetBasicPortInfo
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/internet/basic-info
Get site template internet basic info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getInternetBasicPortInfo",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template basic info. All port and port-related configuration will take effect only the The parameter [preConfiguration] is true.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyInternetBasicPortInfo
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/internet/basic-info
Modify site template internet basic configuration
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema InternetBaseConfigTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
wanPortList | array<string> | yes | List of enabled WAN port IDs, the valid port IDs can be obtained from "Get site template internet basic info". |
interval | integer | no | Online detection interval(second). 0 means disable. It should be within the range of 0–3600. |
// omada_call_operation
{
"operationId": "modifyInternetBasicPortInfo",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template internet basic configuration.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33400 - Current site has no WAN.
-33531 - This WAN port has been used by other networks.
getInternetLoadBalance
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/internet/load-balance
Get site template internet load balance config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getInternetLoadBalance",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template internet load balance config.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyInternetLoadBalance
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/internet/load-balance
Modify site template internet load balance config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema WanLoadBalanceOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
weights | array<integer> | yes | Load Balancing Weights,item of weights should be within the range of 1 to the max int value(2147483647). It is sorted by port ID. |
appOptRouting | boolean | yes | Application Optimized Routing |
linkBackup | boolean | yes | Link Backup |
method | string | no | effective only for 'linkBackup: true' |
primaryWans | array<string> | no | Primary WAN port IDs. It is required when [linkBackup] is true. |
backupWan | string | no | Backup WAN ID. It is required when [linkBackup] is true. |
backupMode | integer | no | It is required when [linkBackup] is true. 0: The system will try to forward the traffic via the backup WAN port when primary WAN fails. Even if the primary WAN is recovered, it will not switch back unless the backup WAN fails; 1: Traffic is always forwarded through the primary WAN port unless it fails. The system will try to forward the traffic via the backup WAN port when it fails, and switch back when it recovers. |
mode | integer | no | It is required when [linkBackup] is true. 0: Enable backup link when any primary WAN fails. 1: Enable backup link when all primary WANs fail. 2: Timing |
timeRangeId | string | no | Time Range ID. It is required when [mode] is timing. |
virtualWanWeights | array<VirtualWanWeightOpenApiVO> | no | virtual wan load balance |
// omada_call_operation
{
"operationId": "modifyInternetLoadBalance",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template internet load balance config.
The interface requires one of the permissions:
Global Site Template Manager Modify
getLoadBalanceWeightStatusTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/internet/load-balance/status
Check Wan Loadbalance status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getLoadBalanceWeightStatusTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Check Wan Loadbalance weight modified or not
The interface requires one of the permissions:
Global Site Template Manager View Only
getLanNetworkTemplateList
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks
Get LAN network template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getLanNetworkTemplateList",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get LAN network template list.(Pagination)
The interface requires one of the permissions:
Global Site Template Manager View Only
createLanNetworkTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks
Create LAN network template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema LanNetworkTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | LAN network name should contain 1 to 128 characters. |
purpose | integer | yes | LAN network purpose should be a value as follows: 0: VLAN; 1: interface |
interfaceIds | array<string> | no | Gateway LAN port IDs, which are acquired from "Check WAN/LAN status" |
vlanType | integer | no | When purpose is interface, VLANType should be a value as follows: 0: Single; 1: Multiple |
vlans | string | no | When purpose is "interface" and VLANType is 1, batch create VLANs. VLAN format: 200, 1-100. |
vlan | integer | no | Only Valid when vlanType is 0. Vlan should be within the range of 1-4094. |
application | integer | no | Effective device type should be a value as follows: 0: Gateway and Switch; 1: Switch |
gatewaySubnet | string | no | When purpose is interface, gateway subnet is needed. Format: IP/Mask |
dhcpSettingsVO | DhcpSettingsConfigTemplateOpenApiVO | no | (DhcpSettingsConfigTemplateOpenApiVO not expanded; call omada_get_schema "DhcpSettingsConfigTemplateOpenApiVO") |
domain | string | no | The domain of this network |
igmpSnoopEnable | boolean | yes | Enable IGMP snooping |
mldSnoopEnable | boolean | no | Enable MLD snooping |
dhcpL2RelayEnable | boolean | no | The switch of DHCP L2 relay |
dhcpGuard | Dhcp Servers setting | no | (Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting") |
dhcpv6Guard | Dhcpv6 Servers setting | no | (Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting") |
lanNeworkIpv6Config | LanNetworkIpv6ConfigTemplateOpenApiVO | no | (LanNetworkIpv6ConfigTemplateOpenApiVO not expanded; call omada_get_schema "LanNetworkIpv6ConfigTemplateOpenApiVO") |
allLan | boolean | no | When Internet pre-config is closed or Internet pre-config is Universal, allLAN is "true"; after adopting gateway, allLAN is "false". |
// omada_call_operation
{
"operationId": "createLanNetworkTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create lan network template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33500 - Network name already existed.
-33501 - This VLAN ID is already used by the WAN interface.
-33506 - This Profile name already exists.
-33506 - This Profile name already exists.
-33544 - The number of interfaces has reached the limit.
-33546 - The number of networks has reached the limit of 4094.
-33547 - The number of VLANs has reached the limit of gateway.
-33548 - The number of VLANs has reached the limit of switch.
-33580 - The device does not support multiple VLANs.
-33581 - The device does not support RA.
-33582 - The device does not support custom DHCP Options.
-33583 - The device does not support DHCP Next Server.
-33584 - The device does not support ARP Detection.
deleteLanNetworkTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks/{networkId}
Delete LAN network template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
networkId | path | string | yes | Network ID |
// omada_call_operation
{
"operationId": "deleteLanNetworkTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"networkId": "<networkId>"
}
}Details, permissions and error codes
Delete LAN network template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33503 - This network does not exist.
-33505 - Default LAN cannot be deleted.
-35200 - The LAN network referenced by the IDS/IPS-Allow List cannot be deleted.
getLanNetworkTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks/{networkId}
Get LAN network template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
networkId | path | string | yes | Network ID |
// omada_call_operation
{
"operationId": "getLanNetworkTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"networkId": "<networkId>"
}
}Details, permissions and error codes
Get LAN network template.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyLanNetworkTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks/{networkId}
Modify LAN network template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
networkId | path | string | yes | Network ID |
Request body — application/json (required) — schema LanNetworkTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | LAN network name should contain 1 to 128 characters. |
purpose | integer | yes | LAN network purpose should be a value as follows: 0: VLAN; 1: interface |
interfaceIds | array<string> | no | Gateway LAN port IDs, which are acquired from "Check WAN/LAN status" |
vlanType | integer | no | When purpose is interface, VLANType should be a value as follows: 0: Single; 1: Multiple |
vlans | string | no | When purpose is "interface" and VLANType is 1, batch create VLANs. VLAN format: 200, 1-100. |
vlan | integer | no | Only Valid when vlanType is 0. Vlan should be within the range of 1-4094. |
application | integer | no | Effective device type should be a value as follows: 0: Gateway and Switch; 1: Switch |
gatewaySubnet | string | no | When purpose is interface, gateway subnet is needed. Format: IP/Mask |
dhcpSettingsVO | DhcpSettingsConfigTemplateOpenApiVO | no | (DhcpSettingsConfigTemplateOpenApiVO not expanded; call omada_get_schema "DhcpSettingsConfigTemplateOpenApiVO") |
domain | string | no | The domain of this network |
igmpSnoopEnable | boolean | yes | Enable IGMP snooping |
mldSnoopEnable | boolean | no | Enable MLD snooping |
dhcpL2RelayEnable | boolean | no | The switch of DHCP L2 relay |
dhcpGuard | Dhcp Servers setting | no | (Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting") |
dhcpv6Guard | Dhcpv6 Servers setting | no | (Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting") |
lanNeworkIpv6Config | LanNetworkIpv6ConfigTemplateOpenApiVO | no | (LanNetworkIpv6ConfigTemplateOpenApiVO not expanded; call omada_get_schema "LanNetworkIpv6ConfigTemplateOpenApiVO") |
allLan | boolean | no | When Internet pre-config is closed or Internet pre-config is Universal, allLAN is "true"; after adopting gateway, allLAN is "false". |
// omada_call_operation
{
"operationId": "modifyLanNetworkTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"networkId": "<networkId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify LAN network template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33500 - Network name already existed.
-33501 - This VLAN ID is already used by the WAN interface.
-33503 - This network does not exist.
-33506 - This Profile name already exists.
-33506 - This Profile name already exists.
-33527 - The interface of Default LAN cannot be modified.
-33544 - The number of interfaces has reached the limit.
-33545 - The VLAN Type of Default LAN cannot be modified.
-33580 - The device does not support multiple VLANs.
-33581 - The device does not support RA.
-33582 - The device does not support custom DHCP Options.
-33583 - The device does not support DHCP Next Server.
-33584 - The device does not support ARP Detection.
-34235 - The VLAN cannot be set to 1 since it is used in OUI Based VLAN rules which do not allow VLAN 1.
getAllLanNetworksTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks/all
Get all network templates for the omada id and site template id
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getAllLanNetworksTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get all network templates for the omada id and site template id
The interface requires one of the permissions:
Global Site Template Manager View Only
getInterfaceLanNetworkV2_1
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks/interface
Get all "single"/"multi" interface lan network template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
type | query | integer | no | Interface vlan type. When "type" is 0, return "single" interface lan network, else return "single"/"multi" interface lan network |
// omada_call_operation
{
"operationId": "getInterfaceLanNetworkV2_1",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get all "single"/"multi" interface lan network template
The interface requires one of the permissions:
Global Site Template Manager View Only
getLanProfileTemplateList
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles
Get LAN profile template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getLanProfileTemplateList",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get LAN profile template list.
The interface requires one of the permissions:
Global Site Template Manager View Only
createLanProfileTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles
Create new LAN profile template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema LanProfileConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 128 characters. |
poe | integer | yes | PoE should be a value as follows: 0: off, 1: on, 2: "do not modify" |
nativeNetworkId | string | yes | Native network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks. |
tagNetworkIds | array<string> | no | Tag network IDs |
untagNetworkIds | array<string> | no | Untag network IDs |
voiceNetworkId | string | no | Voice Network ID |
dot1x | integer | yes | Dot1x should be a value as follows: 0: force unauthorized, 1: force authorized, 2:auto |
portIsolationEnable | boolean | yes | Port-isolation enable status |
lldpMedEnable | boolean | yes | LLDP-MED enable status |
bandWidthCtrlType | integer | yes | BandWidthCtrlType should be a value as follows: 0: off, 1: rate limit, 2: storming control |
stormCtrl | StormCtrlVO | no | (StormCtrlVO not expanded; call omada_get_schema "StormCtrlVO") |
bandCtrl | BandCtrlVO | no | (BandCtrlVO not expanded; call omada_get_schema "BandCtrlVO") |
spanningTreeEnable | boolean | yes | SpanningTree enable status |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | yes | LoopbackDetect enable status |
eeeEnable | boolean | no | EEE enable status |
flowControlEnable | boolean | no | FlowControl enable status |
loopbackDetectVlanBasedEnable | boolean | no | LoopbackDetectVLANBased enable status |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
dhcpL2RelaySettings | DhcpL2RelayVO | no | (DhcpL2RelayVO not expanded; call omada_get_schema "DhcpL2RelayVO") |
fastLeaveEnable | boolean | no | IGMP Snooping fast leave enable status |
dot1pPriority | integer | no | 802.1p Priority |
trustMode | integer | no | Trust mode |
// omada_call_operation
{
"operationId": "createLanProfileTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new LAN profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
deleteLanProfileTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles/{profileId}
Delete an existing LAN profile template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
profileId | path | string | yes | LAN profile ID |
// omada_call_operation
{
"operationId": "deleteLanProfileTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"profileId": "<profileId>"
}
}Details, permissions and error codes
Delete an existing LAN profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-33507 - This profile does not exist.
modifyLanProfileTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles/{profileId}
Modify a LAN profile template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
profileId | path | string | yes | lanProfileId |
Request body — application/json (required) — schema LanProfileConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 128 characters. |
poe | integer | yes | PoE should be a value as follows: 0: off, 1: on, 2: "do not modify" |
nativeNetworkId | string | yes | Native network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks. |
tagNetworkIds | array<string> | no | Tag network IDs |
untagNetworkIds | array<string> | no | Untag network IDs |
voiceNetworkId | string | no | Voice Network ID |
dot1x | integer | yes | Dot1x should be a value as follows: 0: force unauthorized, 1: force authorized, 2:auto |
portIsolationEnable | boolean | yes | Port-isolation enable status |
lldpMedEnable | boolean | yes | LLDP-MED enable status |
bandWidthCtrlType | integer | yes | BandWidthCtrlType should be a value as follows: 0: off, 1: rate limit, 2: storming control |
stormCtrl | StormCtrlVO | no | (StormCtrlVO not expanded; call omada_get_schema "StormCtrlVO") |
bandCtrl | BandCtrlVO | no | (BandCtrlVO not expanded; call omada_get_schema "BandCtrlVO") |
spanningTreeEnable | boolean | yes | SpanningTree enable status |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | yes | LoopbackDetect enable status |
eeeEnable | boolean | no | EEE enable status |
flowControlEnable | boolean | no | FlowControl enable status |
loopbackDetectVlanBasedEnable | boolean | no | LoopbackDetectVLANBased enable status |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
dhcpL2RelaySettings | DhcpL2RelayVO | no | (DhcpL2RelayVO not expanded; call omada_get_schema "DhcpL2RelayVO") |
fastLeaveEnable | boolean | no | IGMP Snooping fast leave enable status |
dot1pPriority | integer | no | 802.1p Priority |
trustMode | integer | no | Trust mode |
// omada_call_operation
{
"operationId": "modifyLanProfileTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a LAN profile template template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-33507 - This profile does not exist.
getUseLanProfileESTemplateList
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles/{profileId}/es
Get Use LAN profile ES template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
profileId | path | string | yes | LAN profile ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getUseLanProfileESTemplateList",
"params": {
"siteTemplateId": "<siteTemplateId>",
"profileId": "<profileId>"
}
}Details, permissions and error codes
Get Use LAN profile ES template list.
The interface requires one of the permissions:
Global Site Template Manager View Only
createVlans
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-vlans
Batch create vlans template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema Create VLANs
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | LAN network name should contain 1 to 128 characters. |
vlans | string | yes | Support batch VLAN creation. VLAN format: 200, 1-100. |
igmpSnoopEnable | boolean | yes | Enable IGMP snooping |
dhcpL2RelayEnable | boolean | no | The switch of DHCP L2 relay |
dhcpGuard | Dhcp Servers setting | no | (Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting") |
mldSnoopEnable | boolean | no | Enable MLD snooping |
dhcpv6Guard | Dhcpv6 Servers setting | no | (Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting") |
application | integer | no | Effective device type should be a value as follows: 0: Gateway and Switch; 1: Switch |
// omada_call_operation
{
"operationId": "createVlans",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch create vlans template. Format support: 200, 1-100.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33500 - Network name already existed.
-33501 - This VLAN ID is already used by the WAN interface.
-33506 - This Profile name already exists.
-33547 - The number of VLANs has reached the limit of gateway.
-33548 - The number of VLANs has reached the limit of switch.
getLanDnsTemplateList
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan/dns
Get LAN Dns template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getLanDnsTemplateList",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get LAN Dns template list.
The interface requires one of the permissions:
Global Site Template Manager View Only
createLanDnsTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan/dns
Create LAN Dns template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema LanDnsOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | off:false, on: true |
name | string | yes | Name of Lan Dns Item |
domain | string | yes | Enter the domain name. |
aliases | array<string> | no | If a server provides different services and has multiple domain names, you can configure them in the Alias Domain Name. |
type | integer | yes | There are three options, IP:0, CNAME:1, and FORWARD:2. |
ipAddresses | array<string> | no | When the Type is IP, it is the IPv4 address of the returned DNS response. |
ipv6Addresses | array<string> | no | When the Type is IP, it is the IPv6 address of the returned DNS response. |
cname | string | no | When Type is CNAME, set the domain name to which Domain Name and Alias Domain Name need to be mapped. |
dnsServers | array<string> | no | When the Type is FORWARD, set the Domain Name and Alias Domain Name to be forwarded to a specific DNS Server, up to two DNS Servers can be configured. |
lanNetworkIds | array<string> | no | The ids of Lan Network. When the Type is IP or CNAME, it is the LAN network to which the rule applies. |
customTtl | boolean | no | When custom TTL is activated, TTL will take effect as custom value. Otherwise, TTL will take effect as default(3600). |
ttl | integer | no | The amount of time DNS information is allowed to be cached. The range of TTL should be 1-86400. It is recommended to use the default TTL for each record. |
// omada_call_operation
{
"operationId": "createLanDnsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create lan Dns template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35300 - The LAN DNS does not exist.
-35301 - The number of LAN DNS entries has reached the limit.
-35302 - The configured IP addresses has reached the limit.
-35305 - IP address cannot be empty.
-35306 - There are duplicate IPv4 addresses.
-35307 - There are duplicate IPv6 addresses.
-35308 - CNAME cannot be empty.
-35309 - DNS server cannot be empty.
-35310 - There are duplicate DNS servers.
-35311 - Domain name and alias are duplicate.
-35312 - The gateway does not support LAN DNS.
-35313 - The gateway does not support configuring TTL in LAN DNS.
deleteLanDnsTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan/dns/{dnsId}
Delete LAN Dns template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
dnsId | path | string | yes | LAN DNS ID |
// omada_call_operation
{
"operationId": "deleteLanDnsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"dnsId": "<dnsId>"
}
}Details, permissions and error codes
Delete LAN Dns template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35300 - The LAN DNS does not exist.
-35301 - The number of LAN DNS entries has reached the limit.
-35302 - The configured IP addresses has reached the limit.
-35305 - IP address cannot be empty.
-35306 - There are duplicate IPv4 addresses.
-35307 - There are duplicate IPv6 addresses.
-35308 - CNAME cannot be empty.
-35309 - DNS server cannot be empty.
-35310 - There are duplicate DNS servers.
-35311 - Domain name and alias are duplicate.
modifyLanDnsTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan/dns/{dnsId}
Modify LAN Dns template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
dnsId | path | string | yes | LAN DNS ID |
Request body — application/json (required) — schema LanDnsOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | off:false, on: true |
name | string | yes | Name of Lan Dns Item |
domain | string | yes | Enter the domain name. |
aliases | array<string> | no | If a server provides different services and has multiple domain names, you can configure them in the Alias Domain Name. |
type | integer | yes | There are three options, IP:0, CNAME:1, and FORWARD:2. |
ipAddresses | array<string> | no | When the Type is IP, it is the IPv4 address of the returned DNS response. |
ipv6Addresses | array<string> | no | When the Type is IP, it is the IPv6 address of the returned DNS response. |
cname | string | no | When Type is CNAME, set the domain name to which Domain Name and Alias Domain Name need to be mapped. |
dnsServers | array<string> | no | When the Type is FORWARD, set the Domain Name and Alias Domain Name to be forwarded to a specific DNS Server, up to two DNS Servers can be configured. |
lanNetworkIds | array<string> | no | The ids of Lan Network. When the Type is IP or CNAME, it is the LAN network to which the rule applies. |
customTtl | boolean | no | When custom TTL is activated, TTL will take effect as custom value. Otherwise, TTL will take effect as default(3600). |
ttl | integer | no | The amount of time DNS information is allowed to be cached. The range of TTL should be 1-86400. It is recommended to use the default TTL for each record. |
// omada_call_operation
{
"operationId": "modifyLanDnsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"dnsId": "<dnsId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify LAN Dns template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35300 - The LAN DNS does not exist.
-35301 - The number of LAN DNS entries has reached the limit.
-35302 - The configured IP addresses has reached the limit.
-35305 - IP address cannot be empty.
-35306 - There are duplicate IPv4 addresses.
-35307 - There are duplicate IPv6 addresses.
-35308 - CNAME cannot be empty.
-35309 - DNS server cannot be empty.
-35310 - There are duplicate DNS servers.
-35311 - Domain name and alias are duplicate.
-35312 - The gateway does not support LAN DNS.
-35313 - The gateway does not support configuring TTL in LAN DNS.
getAutoEffectDevicesTemplateWhenModify
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/auto-effect-devices
Get auto effect devices when modifying network
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
networkId | path | string | yes | Network ID |
Request body — application/json (required) — schema LanNetworkOpenApiV3VO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | LAN network name should contain 1 to 128 characters. |
vlanType | integer | no | VLANType should be a value as follows: 0: Single; 1: Multiple |
vlans | string | no | Only valid when vlanType is 1 and device type is 0 , 1 or 3. When device type is 0 or 3, batch create single vlan, when deviceType is 1 , create bridge vlan. VLAN format: 200, 1-100. |
vlan | integer | no | Only Valid when vlanType is 0. Vlan should be within the range of 1-4094. |
gatewaySubnet | string | no | When deviceType is 1, gateway subnet is needed. Format: IP/Mask |
dhcpSettings | DhcpSettingConfig | no | (DhcpSettingConfig not expanded; call omada_get_schema "DhcpSettingConfig") |
domain | string | no | The domain of this network |
igmpSnoopEnable | boolean | yes | Enable IGMP snooping |
mldSnoopEnable | boolean | no | Enable MLD snooping |
dhcpL2RelayEnable | boolean | no | The switch of DHCP L2 relay |
dhcpGuard | Dhcp Servers setting | no | (Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting") |
dhcpv6Guard | Dhcpv6 Servers setting | no | (Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting") |
lanNetworkIpv6Config | Lan network IPV6 config | no | (Lan network IPV6 config not expanded; call omada_get_schema "Lan network IPV6 config") |
arpDetectionEnable | boolean | no | Enable arp detection. Only valid when deviceType is 1 and gateway supports this feature. |
isolation | boolean | no | Whether network isolated. |
qosQueueEnable | boolean | no | The switch of QoS queue. |
queueId | integer | no | QoS queue Id. |
deviceType | integer | yes | DHCP Server Device type. It should be a value as follows: 0:External Device 1:gateway 2:switch 3:none |
deviceMac | string | no | DHCP Server Device mac. Only valid when deviceType is 1 or 2. When deviceType is 1, deviceMac can be empty when there is no gateway in the site. |
stackId | string | no | DHCP Server Device stackId. Only valid when deviceType is 2 and the selected device is stack |
ip | OswIpSettingBriefOpenapiVO | no | (OswIpSettingBriefOpenapiVO not expanded; call omada_get_schema "OswIpSettingBriefOpenapiVO") |
mode | integer | no | DHCP mode. 0: None 1: DHCP Server 2: DHCP Relay. Only valid when deviceType is 2. |
vrfId | string | no | VRF ID |
dhcpServer | OswDhcpServerOpenApiVO | no | (OswDhcpServerOpenApiVO not expanded; call omada_get_schema "OswDhcpServerOpenApiVO") |
dhcpRelay | OswDhcpRelayOpenApiVO | no | (OswDhcpRelayOpenApiVO not expanded; call omada_get_schema "OswDhcpRelayOpenApiVO") |
subnetOverrideEnable | boolean | no | The switch status of DHCP Settings Overrides. |
// omada_call_operation
{
"operationId": "getAutoEffectDevicesTemplateWhenModify",
"params": {
"siteTemplateId": "<siteTemplateId>",
"networkId": "<networkId>"
},
"body": "{...}"
}Details, permissions and error codes
Get auto effect devices when modifying network.
The interface requires one of the permissions:
Global Site Template Manager View Only
getAutoSelectDevicesTemplateWhenModify
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/auto-select-devices
Get auto select devices when modifying network
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
networkId | path | string | yes | Network ID |
Request body — application/json (required) — schema LanNetworkOpenApiV3VO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | LAN network name should contain 1 to 128 characters. |
vlanType | integer | no | VLANType should be a value as follows: 0: Single; 1: Multiple |
vlans | string | no | Only valid when vlanType is 1 and device type is 0 , 1 or 3. When device type is 0 or 3, batch create single vlan, when deviceType is 1 , create bridge vlan. VLAN format: 200, 1-100. |
vlan | integer | no | Only Valid when vlanType is 0. Vlan should be within the range of 1-4094. |
gatewaySubnet | string | no | When deviceType is 1, gateway subnet is needed. Format: IP/Mask |
dhcpSettings | DhcpSettingConfig | no | (DhcpSettingConfig not expanded; call omada_get_schema "DhcpSettingConfig") |
domain | string | no | The domain of this network |
igmpSnoopEnable | boolean | yes | Enable IGMP snooping |
mldSnoopEnable | boolean | no | Enable MLD snooping |
dhcpL2RelayEnable | boolean | no | The switch of DHCP L2 relay |
dhcpGuard | Dhcp Servers setting | no | (Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting") |
dhcpv6Guard | Dhcpv6 Servers setting | no | (Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting") |
lanNetworkIpv6Config | Lan network IPV6 config | no | (Lan network IPV6 config not expanded; call omada_get_schema "Lan network IPV6 config") |
arpDetectionEnable | boolean | no | Enable arp detection. Only valid when deviceType is 1 and gateway supports this feature. |
isolation | boolean | no | Whether network isolated. |
qosQueueEnable | boolean | no | The switch of QoS queue. |
queueId | integer | no | QoS queue Id. |
deviceType | integer | yes | DHCP Server Device type. It should be a value as follows: 0:External Device 1:gateway 2:switch 3:none |
deviceMac | string | no | DHCP Server Device mac. Only valid when deviceType is 1 or 2. When deviceType is 1, deviceMac can be empty when there is no gateway in the site. |
stackId | string | no | DHCP Server Device stackId. Only valid when deviceType is 2 and the selected device is stack |
ip | OswIpSettingBriefOpenapiVO | no | (OswIpSettingBriefOpenapiVO not expanded; call omada_get_schema "OswIpSettingBriefOpenapiVO") |
mode | integer | no | DHCP mode. 0: None 1: DHCP Server 2: DHCP Relay. Only valid when deviceType is 2. |
vrfId | string | no | VRF ID |
dhcpServer | OswDhcpServerOpenApiVO | no | (OswDhcpServerOpenApiVO not expanded; call omada_get_schema "OswDhcpServerOpenApiVO") |
dhcpRelay | OswDhcpRelayOpenApiVO | no | (OswDhcpRelayOpenApiVO not expanded; call omada_get_schema "OswDhcpRelayOpenApiVO") |
subnetOverrideEnable | boolean | no | The switch status of DHCP Settings Overrides. |
// omada_call_operation
{
"operationId": "getAutoSelectDevicesTemplateWhenModify",
"params": {
"siteTemplateId": "<siteTemplateId>",
"networkId": "<networkId>"
},
"body": "{...}"
}Details, permissions and error codes
Get auto select devices when modifying network.
The interface requires one of the permissions:
Global Site Template Manager View Only
checkTemplateParamAndGetPreConfigWhenModify
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/check
Check all parameters and generate configuration when modifying the network template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
networkId | path | string | yes | Network ID |
Request body — application/json (required) — schema ModifyVlanParamOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
skipEnable | boolean | no | Whether skip the second step when modify vlan |
lanNetwork | LanNetworkOpenApiV3VO | yes | (LanNetworkOpenApiV3VO not expanded; call omada_get_schema "LanNetworkOpenApiV3VO") |
deviceConfig | SelectPortBindingBriefVO | yes | (SelectPortBindingBriefVO not expanded; call omada_get_schema "SelectPortBindingBriefVO") |
// omada_call_operation
{
"operationId": "checkTemplateParamAndGetPreConfigWhenModify",
"params": {
"siteTemplateId": "<siteTemplateId>",
"networkId": "<networkId>"
},
"body": "{...}"
}Details, permissions and error codes
Check all parameters and generate configuration when modifying the network template.
The interface requires one of the permissions:
Global Site Template Manager View Only
confirmModifyVlanNetworkTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/confirm
Confirm modify lan network template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
networkId | path | string | yes | Network ID |
Request body — application/json (required) — schema ModifyVlanParamOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
skipEnable | boolean | no | Whether skip the second step when modify vlan |
lanNetwork | LanNetworkOpenApiV3VO | yes | (LanNetworkOpenApiV3VO not expanded; call omada_get_schema "LanNetworkOpenApiV3VO") |
deviceConfig | SelectPortBindingBriefVO | yes | (SelectPortBindingBriefVO not expanded; call omada_get_schema "SelectPortBindingBriefVO") |
// omada_call_operation
{
"operationId": "confirmModifyVlanNetworkTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"networkId": "<networkId>"
},
"body": "{...}"
}Details, permissions and error codes
Confirm modify lan network template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33546 - The number of networks has reached the limit of 4094.
-33547 - The number of VLANs has reached the limit of gateway.
-33548 - The number of VLANs has reached the limit of switch.
-35914 - The number of VLANs configured with the gateway as the DHCP server has reached the limit.
getSelectDeviceTemplatePortsInfoWhenModify
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/devices/ports
Get the port information of the selected device templates when modifying the network for site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
networkId | path | string | yes | Network ID |
Request body — application/json (required) — schema SelectMacsWithVlanVO
| Field | Type | Required | Description |
|---|---|---|---|
macs | array<string> | yes | Device mac list for Site Setting or device template ID list for Site Template Setting |
vlanType | integer | yes | Network type, It should be a value as follows : 0:single vlan 1:multi vlan |
vlan | integer | no | vlan, only valid when vlanType is 0 (single vlan) |
vlans | string | no | vlans, only valid when vlanType is 1 (multi vlan). VLAN format: 200, 1-100. |
// omada_call_operation
{
"operationId": "getSelectDeviceTemplatePortsInfoWhenModify",
"params": {
"siteTemplateId": "<siteTemplateId>",
"networkId": "<networkId>"
},
"body": "{...}"
}Details, permissions and error codes
Get the port information of the selected device templates when modifying the network for site template.
The interface requires one of the permissions:
Global Site Template Manager View Only
checkNetworkTemplateParamWhenModify
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/param-check
Check basic parameters when modifying the network
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
networkId | path | string | yes | Network ID |
Request body — application/json (required) — schema LanNetworkOpenApiV3VO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | LAN network name should contain 1 to 128 characters. |
vlanType | integer | no | VLANType should be a value as follows: 0: Single; 1: Multiple |
vlans | string | no | Only valid when vlanType is 1 and device type is 0 , 1 or 3. When device type is 0 or 3, batch create single vlan, when deviceType is 1 , create bridge vlan. VLAN format: 200, 1-100. |
vlan | integer | no | Only Valid when vlanType is 0. Vlan should be within the range of 1-4094. |
gatewaySubnet | string | no | When deviceType is 1, gateway subnet is needed. Format: IP/Mask |
dhcpSettings | DhcpSettingConfig | no | (DhcpSettingConfig not expanded; call omada_get_schema "DhcpSettingConfig") |
domain | string | no | The domain of this network |
igmpSnoopEnable | boolean | yes | Enable IGMP snooping |
mldSnoopEnable | boolean | no | Enable MLD snooping |
dhcpL2RelayEnable | boolean | no | The switch of DHCP L2 relay |
dhcpGuard | Dhcp Servers setting | no | (Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting") |
dhcpv6Guard | Dhcpv6 Servers setting | no | (Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting") |
lanNetworkIpv6Config | Lan network IPV6 config | no | (Lan network IPV6 config not expanded; call omada_get_schema "Lan network IPV6 config") |
arpDetectionEnable | boolean | no | Enable arp detection. Only valid when deviceType is 1 and gateway supports this feature. |
isolation | boolean | no | Whether network isolated. |
qosQueueEnable | boolean | no | The switch of QoS queue. |
queueId | integer | no | QoS queue Id. |
deviceType | integer | yes | DHCP Server Device type. It should be a value as follows: 0:External Device 1:gateway 2:switch 3:none |
deviceMac | string | no | DHCP Server Device mac. Only valid when deviceType is 1 or 2. When deviceType is 1, deviceMac can be empty when there is no gateway in the site. |
stackId | string | no | DHCP Server Device stackId. Only valid when deviceType is 2 and the selected device is stack |
ip | OswIpSettingBriefOpenapiVO | no | (OswIpSettingBriefOpenapiVO not expanded; call omada_get_schema "OswIpSettingBriefOpenapiVO") |
mode | integer | no | DHCP mode. 0: None 1: DHCP Server 2: DHCP Relay. Only valid when deviceType is 2. |
vrfId | string | no | VRF ID |
dhcpServer | OswDhcpServerOpenApiVO | no | (OswDhcpServerOpenApiVO not expanded; call omada_get_schema "OswDhcpServerOpenApiVO") |
dhcpRelay | OswDhcpRelayOpenApiVO | no | (OswDhcpRelayOpenApiVO not expanded; call omada_get_schema "OswDhcpRelayOpenApiVO") |
subnetOverrideEnable | boolean | no | The switch status of DHCP Settings Overrides. |
// omada_call_operation
{
"operationId": "checkNetworkTemplateParamWhenModify",
"params": {
"siteTemplateId": "<siteTemplateId>",
"networkId": "<networkId>"
},
"body": "{...}"
}Details, permissions and error codes
Check basic parameters when modifying the network.
The interface requires one of the permissions:
Global Site Template Manager View Only
checkTemplatePortBindingParamWhenModify
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/ports-check
Check port binding when modifying network for site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
networkId | path | string | yes | Network ID |
Request body — application/json (required) — schema SelectPortBindingVO
| Field | Type | Required | Description |
|---|---|---|---|
portIsolationEnable | boolean | no | Enable Port Isolation, only valid when creating network. |
flowControlEnable | boolean | no | Enable Flow Control, only valid when creating network. |
tagIds | array<string> | no | Tag ID List |
deviceList | array<PortBindingVO> | no | Device List |
internetPorts | array<string> | no | Internet Ports |
vlanType | integer | yes | Network type, It should be a value as follows : 0:single vlan 1:multi vlan |
vlan | integer | no | vlan, only valid when vlanType is 0 (single vlan) |
vlans | string | no | vlans, only valid when vlanType is 1 (multi vlan). VLAN format: 200, 1-100. |
assignIpDeviceType | integer | yes | Assign Ip Device Type. It should be a value as follows: 1: gateway 2: switch 0: third-party |
assignIpDeviceMac | string | no | Assign Ip Device Mac. |
assignIpStackId | string | no | Assign Ip Stack Id, only valid when assigned ip device is a stack. |
// omada_call_operation
{
"operationId": "checkTemplatePortBindingParamWhenModify",
"params": {
"siteTemplateId": "<siteTemplateId>",
"networkId": "<networkId>"
},
"body": "{...}"
}Details, permissions and error codes
Check port binding when modifying network for site template
The interface requires one of the permissions:
Global Site Template Manager View Only
getVlanNetworkAffectedDevice
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/vlan/{vlan}/devices
Get device template list that use the network
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
networkId | path | string | yes | Network ID |
vlan | path | string | yes | Vlan ID |
// omada_call_operation
{
"operationId": "getVlanNetworkAffectedDevice",
"params": {
"siteTemplateId": "<siteTemplateId>",
"networkId": "<networkId>",
"vlan": "<vlan>"
}
}Details, permissions and error codes
Get device template list that use the network
The interface requires one of the permissions:
Global Site Template Manager View Only
getTemplateGridVlanNetworkAffectedDevicePorts
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/vlan/{vlan}/ports
Get the ports of devices template that use the network
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
networkId | path | string | yes | Network ID |
vlan | path | string | yes | Vlan ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getTemplateGridVlanNetworkAffectedDevicePorts",
"params": {
"siteTemplateId": "<siteTemplateId>",
"networkId": "<networkId>",
"vlan": "<vlan>"
}
}Details, permissions and error codes
Get the ports of devices template that use the network.
The interface requires one of the permissions:
Global Site Template Manager View Only
getVlanNetworkAffectedSsid
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/{networkId}/vlan/{vlan}/ssids
Get grid ssid template list that use the vlan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
networkId | path | string | yes | Network ID |
vlan | path | string | yes | Vlan ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getVlanNetworkAffectedSsid",
"params": {
"siteTemplateId": "<siteTemplateId>",
"networkId": "<networkId>",
"vlan": "<vlan>"
}
}Details, permissions and error codes
Get grid ssid template list that use the vlan
The interface requires one of the permissions:
Global Site Template Manager View Only
getAutoEffectDevicesTemplateWhenCreate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/auto-effect-devices
Get auto effect devices when creating network
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema LanNetworkOpenApiV3VO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | LAN network name should contain 1 to 128 characters. |
vlanType | integer | no | VLANType should be a value as follows: 0: Single; 1: Multiple |
vlans | string | no | Only valid when vlanType is 1 and device type is 0 , 1 or 3. When device type is 0 or 3, batch create single vlan, when deviceType is 1 , create bridge vlan. VLAN format: 200, 1-100. |
vlan | integer | no | Only Valid when vlanType is 0. Vlan should be within the range of 1-4094. |
gatewaySubnet | string | no | When deviceType is 1, gateway subnet is needed. Format: IP/Mask |
dhcpSettings | DhcpSettingConfig | no | (DhcpSettingConfig not expanded; call omada_get_schema "DhcpSettingConfig") |
domain | string | no | The domain of this network |
igmpSnoopEnable | boolean | yes | Enable IGMP snooping |
mldSnoopEnable | boolean | no | Enable MLD snooping |
dhcpL2RelayEnable | boolean | no | The switch of DHCP L2 relay |
dhcpGuard | Dhcp Servers setting | no | (Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting") |
dhcpv6Guard | Dhcpv6 Servers setting | no | (Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting") |
lanNetworkIpv6Config | Lan network IPV6 config | no | (Lan network IPV6 config not expanded; call omada_get_schema "Lan network IPV6 config") |
arpDetectionEnable | boolean | no | Enable arp detection. Only valid when deviceType is 1 and gateway supports this feature. |
isolation | boolean | no | Whether network isolated. |
qosQueueEnable | boolean | no | The switch of QoS queue. |
queueId | integer | no | QoS queue Id. |
deviceType | integer | yes | DHCP Server Device type. It should be a value as follows: 0:External Device 1:gateway 2:switch 3:none |
deviceMac | string | no | DHCP Server Device mac. Only valid when deviceType is 1 or 2. When deviceType is 1, deviceMac can be empty when there is no gateway in the site. |
stackId | string | no | DHCP Server Device stackId. Only valid when deviceType is 2 and the selected device is stack |
ip | OswIpSettingBriefOpenapiVO | no | (OswIpSettingBriefOpenapiVO not expanded; call omada_get_schema "OswIpSettingBriefOpenapiVO") |
mode | integer | no | DHCP mode. 0: None 1: DHCP Server 2: DHCP Relay. Only valid when deviceType is 2. |
vrfId | string | no | VRF ID |
dhcpServer | OswDhcpServerOpenApiVO | no | (OswDhcpServerOpenApiVO not expanded; call omada_get_schema "OswDhcpServerOpenApiVO") |
dhcpRelay | OswDhcpRelayOpenApiVO | no | (OswDhcpRelayOpenApiVO not expanded; call omada_get_schema "OswDhcpRelayOpenApiVO") |
subnetOverrideEnable | boolean | no | The switch status of DHCP Settings Overrides. |
// omada_call_operation
{
"operationId": "getAutoEffectDevicesTemplateWhenCreate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Get auto effect devices when creating network.
The interface requires one of the permissions:
Global Site Template Manager View Only
checkTemplateParamAndGetPreConfig
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/check
Check all parameters and generate configuration when creating network template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema CreateVlanParamOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
lanNetwork | LanNetworkOpenApiV3VO | yes | (LanNetworkOpenApiV3VO not expanded; call omada_get_schema "LanNetworkOpenApiV3VO") |
deviceConfig | SelectPortBindingBriefVO | yes | (SelectPortBindingBriefVO not expanded; call omada_get_schema "SelectPortBindingBriefVO") |
// omada_call_operation
{
"operationId": "checkTemplateParamAndGetPreConfig",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Check all parameters and generate configuration when creating network template
The interface requires one of the permissions:
Global Site Template Manager View Only
confirmCreateVlanNetworkTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/confirm
Confirm create lan network template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema CreateVlanParamOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
lanNetwork | LanNetworkOpenApiV3VO | yes | (LanNetworkOpenApiV3VO not expanded; call omada_get_schema "LanNetworkOpenApiV3VO") |
deviceConfig | SelectPortBindingBriefVO | yes | (SelectPortBindingBriefVO not expanded; call omada_get_schema "SelectPortBindingBriefVO") |
// omada_call_operation
{
"operationId": "confirmCreateVlanNetworkTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Confirm create lan network template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33500 - Network name already existed.
-33501 - This VLAN ID is already used by the WAN interface.
-33506 - This Profile name already exists.
-33546 - The number of networks has reached the limit of 4094.
-33547 - The number of VLANs has reached the limit of gateway.
-33548 - The number of VLANs has reached the limit of switch.
-35914 - The number of VLANs configured with the gateway as the DHCP server has reached the limit.
getGridSupportVlanNetworkDevicesBySiteTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/devices
Get device template list that can be dhcp server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSupportVlanNetworkDevicesBySiteTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get device template list that can be dhcp server
The interface requires one of the permissions:
Global Site Template Manager View Only
getSelectDeviceTemplatePortsInfo
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/devices/ports
Get the port information of the selected device templates when creating network for site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SelectMacsWithVlanVO
| Field | Type | Required | Description |
|---|---|---|---|
macs | array<string> | yes | Device mac list for Site Setting or device template ID list for Site Template Setting |
vlanType | integer | yes | Network type, It should be a value as follows : 0:single vlan 1:multi vlan |
vlan | integer | no | vlan, only valid when vlanType is 0 (single vlan) |
vlans | string | no | vlans, only valid when vlanType is 1 (multi vlan). VLAN format: 200, 1-100. |
// omada_call_operation
{
"operationId": "getSelectDeviceTemplatePortsInfo",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Get the port information of the selected device templates when creating network for site template
The interface requires one of the permissions:
Global Site Template Manager View Only
checkNetworkTemplateParamWhenCreate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/param-check
Check basic parameters when creating network template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema LanNetworkOpenApiV3VO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | LAN network name should contain 1 to 128 characters. |
vlanType | integer | no | VLANType should be a value as follows: 0: Single; 1: Multiple |
vlans | string | no | Only valid when vlanType is 1 and device type is 0 , 1 or 3. When device type is 0 or 3, batch create single vlan, when deviceType is 1 , create bridge vlan. VLAN format: 200, 1-100. |
vlan | integer | no | Only Valid when vlanType is 0. Vlan should be within the range of 1-4094. |
gatewaySubnet | string | no | When deviceType is 1, gateway subnet is needed. Format: IP/Mask |
dhcpSettings | DhcpSettingConfig | no | (DhcpSettingConfig not expanded; call omada_get_schema "DhcpSettingConfig") |
domain | string | no | The domain of this network |
igmpSnoopEnable | boolean | yes | Enable IGMP snooping |
mldSnoopEnable | boolean | no | Enable MLD snooping |
dhcpL2RelayEnable | boolean | no | The switch of DHCP L2 relay |
dhcpGuard | Dhcp Servers setting | no | (Dhcp Servers setting not expanded; call omada_get_schema "Dhcp Servers setting") |
dhcpv6Guard | Dhcpv6 Servers setting | no | (Dhcpv6 Servers setting not expanded; call omada_get_schema "Dhcpv6 Servers setting") |
lanNetworkIpv6Config | Lan network IPV6 config | no | (Lan network IPV6 config not expanded; call omada_get_schema "Lan network IPV6 config") |
arpDetectionEnable | boolean | no | Enable arp detection. Only valid when deviceType is 1 and gateway supports this feature. |
isolation | boolean | no | Whether network isolated. |
qosQueueEnable | boolean | no | The switch of QoS queue. |
queueId | integer | no | QoS queue Id. |
deviceType | integer | yes | DHCP Server Device type. It should be a value as follows: 0:External Device 1:gateway 2:switch 3:none |
deviceMac | string | no | DHCP Server Device mac. Only valid when deviceType is 1 or 2. When deviceType is 1, deviceMac can be empty when there is no gateway in the site. |
stackId | string | no | DHCP Server Device stackId. Only valid when deviceType is 2 and the selected device is stack |
ip | OswIpSettingBriefOpenapiVO | no | (OswIpSettingBriefOpenapiVO not expanded; call omada_get_schema "OswIpSettingBriefOpenapiVO") |
mode | integer | no | DHCP mode. 0: None 1: DHCP Server 2: DHCP Relay. Only valid when deviceType is 2. |
vrfId | string | no | VRF ID |
dhcpServer | OswDhcpServerOpenApiVO | no | (OswDhcpServerOpenApiVO not expanded; call omada_get_schema "OswDhcpServerOpenApiVO") |
dhcpRelay | OswDhcpRelayOpenApiVO | no | (OswDhcpRelayOpenApiVO not expanded; call omada_get_schema "OswDhcpRelayOpenApiVO") |
subnetOverrideEnable | boolean | no | The switch status of DHCP Settings Overrides. |
// omada_call_operation
{
"operationId": "checkNetworkTemplateParamWhenCreate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Check basic parameters when creating network template
The interface requires one of the permissions:
Global Site Template Manager View Only
checkTemplatePortBindingParamWhenCreate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/networks/ports-check
Check selected ports when creating network for site template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SelectPortBindingVO
| Field | Type | Required | Description |
|---|---|---|---|
portIsolationEnable | boolean | no | Enable Port Isolation, only valid when creating network. |
flowControlEnable | boolean | no | Enable Flow Control, only valid when creating network. |
tagIds | array<string> | no | Tag ID List |
deviceList | array<PortBindingVO> | no | Device List |
internetPorts | array<string> | no | Internet Ports |
vlanType | integer | yes | Network type, It should be a value as follows : 0:single vlan 1:multi vlan |
vlan | integer | no | vlan, only valid when vlanType is 0 (single vlan) |
vlans | string | no | vlans, only valid when vlanType is 1 (multi vlan). VLAN format: 200, 1-100. |
assignIpDeviceType | integer | yes | Assign Ip Device Type. It should be a value as follows: 1: gateway 2: switch 0: third-party |
assignIpDeviceMac | string | no | Assign Ip Device Mac. |
assignIpStackId | string | no | Assign Ip Stack Id, only valid when assigned ip device is a stack. |
// omada_call_operation
{
"operationId": "checkTemplatePortBindingParamWhenCreate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Check selected ports when creating network for site template
The interface requires one of the permissions:
Global Site Template Manager View Only
getAvailableVirtualWanTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/available-virtual-wans
Query available virtual WAN list for template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getAvailableVirtualWanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Query available virtual WAN list for template.
The interface requires one of the permissions:
Global Site Template Manager View Only
getSpeedTestV2SettingTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/speedTest
Get SpeedTest Setting Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getSpeedTestV2SettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get SpeedTest Setting Template.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifySpeedTestV2SettingTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/speedTest
Modify SpeedTest Setting Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema ModifySpeedTestV2SettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
autoSpeedTest | boolean | yes | Whether enable scheduled speed testing. |
timingType | integer | no | The timing type of speed test setting: 1:Daily, 2:Weekly, 3:Monthly. |
hour | integer | no | Start time of speed test(unit: hour); It should be within the range of 0~23. |
minute | integer | no | Start time of speed test(unit: minute); It should be within the range of 0~59. |
dayOfWeek | array<integer> | no | It is required when [timingType] is 2. The value should be within the range of 0(Sunday)~6(Saturday). |
dayOfMonth | array<integer> | no | It is required when [timingType] is 3. The value should be within the range of 1~31. |
// omada_call_operation
{
"operationId": "modifySpeedTestV2SettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SpeedTest Setting Template.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
getGridVirtualWanTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/virtual-wans
Query virtual WAN list template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridVirtualWanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Query virtual WAN list for template.
The interface requires one of the permissions:
Global Site Template Manager View Only
createVirtualWanTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/virtual-wans
Create virtual WAN template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema VirtualWanConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Virtual WAN name should contain 1 to 128 characters. Only letters, digits and underscores are allowed. |
physicalWanId | string | yes | Physical WAN ID. Physical WAN ID can be obtained from 'Get internet basic info' interface. Physical WAN ID. Physical WAN ID can be obtained from 'Get internet basic info' interface. Only DSL WAN, Ethernet WAN, and SFP WAN support virtual WAN configuration. |
virtualWanIpv4Setting | VirtualWanIpv4SettingConfigOpenApiVO | yes | (VirtualWanIpv4SettingConfigOpenApiVO not expanded; call omada_get_schema "VirtualWanIpv4SettingConfigOpenApiVO") |
virtualWanDsl | VirtualWanDslOpenApiVO | no | (VirtualWanDslOpenApiVO not expanded; call omada_get_schema "VirtualWanDslOpenApiVO") |
wanPortMacSetting | VirtualWanMacSettingOpenApiVO | no | (VirtualWanMacSettingOpenApiVO not expanded; call omada_get_schema "VirtualWanMacSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "createVirtualWanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create virtual WAN template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44701 - This VLAN ID is already used by the Virtual WAN interface.
-44702 - Duplicate names of the virtual WAN.
-44703 - When no gateway is adopted, at most 3 virtual WAN ports can be added.
-44704 - The number of enabled WAN ports and virtual WAN ports cannot exceed the number of WAN ports plus 3.
-44705 - At most 3 virtual WAN ports can be mapped to each WAN port.
-44706 - DSL setting cannot be null when DSL WAN is selected.
-44707 - The gateway does not support MssClamping in Virtual WAN.
-44708 - The gateway does not support DHCP Options in Virtual WAN.
-44709 - The gateway does not support PppoeMru in Virtual WAN.
-44710 - The gateway does not support DslMer in Virtual WAN.
-44711 - The gateway does not support Virtual WAN.
-44712 - The gateway only support DSL WAN.
deleteVirtualWan
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/virtual-wans/{virtualWanId}
Delete virtual WAN template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
virtualWanId | path | string | yes | Virtual WAN ID |
// omada_call_operation
{
"operationId": "deleteVirtualWan",
"params": {
"siteTemplateId": "<siteTemplateId>",
"virtualWanId": "<virtualWanId>"
}
}Details, permissions and error codes
Delete virtual WAN template.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyVirtualWanTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/virtual-wans/{virtualWanId}
Modify virtual WAN template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
virtualWanId | path | string | yes | Virtual WAN ID |
Request body — application/json (required) — schema VirtualWanConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Virtual WAN name should contain 1 to 128 characters. Only letters, digits and underscores are allowed. |
physicalWanId | string | yes | Physical WAN ID. Physical WAN ID can be obtained from 'Get internet basic info' interface. Physical WAN ID. Physical WAN ID can be obtained from 'Get internet basic info' interface. Only DSL WAN, Ethernet WAN, and SFP WAN support virtual WAN configuration. |
virtualWanIpv4Setting | VirtualWanIpv4SettingConfigOpenApiVO | yes | (VirtualWanIpv4SettingConfigOpenApiVO not expanded; call omada_get_schema "VirtualWanIpv4SettingConfigOpenApiVO") |
virtualWanDsl | VirtualWanDslOpenApiVO | no | (VirtualWanDslOpenApiVO not expanded; call omada_get_schema "VirtualWanDslOpenApiVO") |
wanPortMacSetting | VirtualWanMacSettingOpenApiVO | no | (VirtualWanMacSettingOpenApiVO not expanded; call omada_get_schema "VirtualWanMacSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyVirtualWanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"virtualWanId": "<virtualWanId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify virtual WAN template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44700 - This virtual WAN does not exist.
-44701 - This VLAN ID is already used by the Virtual WAN interface.
-44702 - Duplicate names of the virtual WAN.
-44703 - When no gateway is adopted, at most 3 virtual WAN ports can be added.
-44704 - The number of enabled WAN ports and virtual WAN ports cannot exceed the number of WAN ports plus 3.
-44705 - At most 3 virtual WAN ports can be mapped to each WAN port.
-44706 - DSL setting cannot be null when DSL WAN is selected.
-44707 - The gateway does not support MssClamping in Virtual WAN.
-44708 - The gateway does not support DHCP Options in Virtual WAN.
-44709 - The gateway does not support PppoeMru in Virtual WAN.
-44710 - The gateway does not support DslMer in Virtual WAN.
-44711 - The gateway does not support Virtual WAN.
-44712 - The gateway only support DSL WAN.
modifyVirtualWanStatusTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/virtual-wans/{virtualWanId}/status
Modify virtual WAN status template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
virtualWanId | path | string | yes | Virtual WAN ID |
Request body — application/json (required) — schema VirtualWanStatusOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
status | boolean | yes | The status of virtual WAN, valid values are true or false. |
// omada_call_operation
{
"operationId": "modifyVirtualWanStatusTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"virtualWanId": "<virtualWanId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify virtual WAN status template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44700 - This virtual WAN does not exist.
checkVirtualWanUsed
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/virtual-wans/delete-check
Check Virtual Wan Used
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
virtualWanId | query | string | yes | Virtual WAN ID |
// omada_call_operation
{
"operationId": "checkVirtualWanUsed",
"params": {
"siteTemplateId": "<siteTemplateId>",
"virtualWanId": "<virtualWanId>"
}
}Details, permissions and error codes
check configurations who have used current virtualWan
The interface requires one of the permissions:
Global Site Template Manager View Only
getAvailableWanPorts
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/wan-ports
Get available wan ports
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
function | query | integer | yes | function used for wan ports query. 0: ACL, 1: QOS, 2: IP_MAC_BLINDING, 3: IGMP_PROXY, 4: VIRTUAL_WAN, 5: PORT_FROWARDING, 6: OTONAT, 7: BANDWIDTH_CONTROL, 8: STATIC_ROUTING, 9: POLICY_ROUTING, 10: VPN, 11: SSL_VPN, 12: DDNS, 13: UPNP, 14: MLD, 15: LAN |
// omada_call_operation
{
"operationId": "getAvailableWanPorts",
"params": {
"siteTemplateId": "<siteTemplateId>",
"function": "<function>"
}
}Details, permissions and error codes
Get available wan ports for template
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyWanPortsTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/wan-ports
Modify Wan Ports
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema WanPortsOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | whether to enable wan Settings Override |
preOsgModel | integer | no | select gateway model, you can query option from 'Get supported gateway model list for pre-configuration'. If already choose or adopted gateway,use current gateway model id. |
wanPortNum | integer | no | custom number of wan ports, only for preOsgModel at 2 |
portUuids | array<string> | no | select wan ports to open, and other wan ports will be closed, you can get port uuid list from 'Get internet basic info'. |
forceChange | boolean | no | Force change wan ports. If set true, wan ports will be modified without check, and the gateway will reboot. If set false, consequence will be checked and return check result. |
// omada_call_operation
{
"operationId": "modifyWanPortsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
modify wan ports for site template, Note that modify wan ports will cause gateway reboot. You need to configure a gateway in Device Template to use this function.
The interface requires one of the permissions:
Global Site Template Manager Modify
getAllValidVlansInSiteForSwitchOuiBasedVlan
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-oui-rules/valid-vlans
Get valid site template vlanList for switch oui based vlan
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getAllValidVlansInSiteForSwitchOuiBasedVlan",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get valid site template vlanList for switch oui based vlan
The interface requires one of the permissions:
Global Site Template Manager View Only
checkWanLanStatus
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wan-lan-status
Check template WAN-LAN status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "checkWanLanStatus",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get gateway template basic info and template WAN/LAN list. Use this API to operate "LanNetwork".
The interface requires one of the permissions:
Global Site Template Manager View Only
getWanPortsMaxSpeed
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wan-max-speed
Get wan ports max speed
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
wanId | query | string | yes | WanId, can pass multiple wan ports using comma separator like '{portId1},{portId2}'. |
// omada_call_operation
{
"operationId": "getWanPortsMaxSpeed",
"params": {
"siteTemplateId": "<siteTemplateId>",
"wanId": "<wanId>"
}
}Details, permissions and error codes
Get max speed for certain wan ports for template,if ports doesn't exist, this interface will return default result
The interface requires one of the permissions:
Global Site Template Manager View Only
modifySinglePortSettingTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/wan/networks/port-setting
Modify Wan Port Settings Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema InternetPortOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | The Type of the Internet port as follows: 0: WAN; 1: USB; 2: LTE; 3: DSL. |
wanPortSetting | WanPortSettingOpenApiVO | no | (WanPortSettingOpenApiVO not expanded; call omada_get_schema "WanPortSettingOpenApiVO") |
usbLteSetting | UsbLteSettingOpenApiVO | no | (UsbLteSettingOpenApiVO not expanded; call omada_get_schema "UsbLteSettingOpenApiVO") |
lteWanSetting | LteWanSettingOpenApiVO | no | (LteWanSettingOpenApiVO not expanded; call omada_get_schema "LteWanSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "modifySinglePortSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Wan Port Settings Template.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33400 - Current site has no WAN.
-33411 - Current gateway is not connected.
-33442 - Unable to change WAN settings. Please enable the internet override function first.
batchIsolateLanNetwork
POST /openapi/v2/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks/batch-isolate
Batch isolate network
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema BatchIsolateInterfaceOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<string> | no | A list of network Id which is selected to isolate or de-isolate. |
isolation | boolean | no | The isolation status after batch isolate or de-isolate. |
selectAll | boolean | no | Whether select all networks. |
// omada_call_operation
{
"operationId": "batchIsolateLanNetwork",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch isolate network.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-33507 - This profile does not exist.
getAllInterfacesForBatchIsolate
GET /openapi/v2/{omadacId}/sitetemplates/{siteTemplateId}/lan-networks/isolate/interfaces
Get interface Grid
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
searchKey | query | string | no | Fuzzy query parameters, support field |
isolation_filter | query | integer | no | non-isolation set 0; isolation set 1; don't filter isolation vlan set 2. |
// omada_call_operation
{
"operationId": "getAllInterfacesForBatchIsolate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get interface Grid.
The interface requires one of the permissions:
Global Site Template Manager View Only
getOswLanProfileTemplateList
GET /openapi/v2/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles
Get switch profile template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getOswLanProfileTemplateList",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get switch profile template list.
The interface requires one of the permissions:
Global Site Template Manager View Only
createOswLanProfileTemplate
POST /openapi/v2/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles
Create new switch profile template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema LanProfileSettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name should contain 1 to 128 characters. |
poe | integer | yes | PoE should be a value as follows: 0: off, 1: on, 2: "do not modify" |
vlanConfigEnable | boolean | no | Vlan configuration enable status |
networkTagsSetting | integer | no | network Tags configuration mode should be a value as follows: 0:allow all, 1:block all, 2:custom |
nativeNetworkId | string | no | Native Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks. |
nativeBridgeVlan | integer | no | Native Network Bridge Vlan. |
tagNetworkIds | array<string> | no | Tag Network IDs |
tagBridgeVlanMap | object | no | Tag Network Bridge Vlan Map |
untagNetworkIds | array<string> | no | Untag Network IDs |
untagBridgeVlanMap | object | no | Untag Network Bridge Vlan Map |
voiceNetworkEnable | boolean | no | Indicates whether voice network is enabled |
voiceNetworkId | string | no | Voice Network ID |
voiceBridgeVlan | integer | no | Voice Network Bridge Vlan |
voiceDscpEnable | boolean | no | Indicates whether voice DSCP is enabled |
voiceDscp | integer | no | Voice DSCP |
esEnable | boolean | no | ES enable status |
esTaggedModified | boolean | no | Indicates whether ES Tagged is modified |
esEnableTaggedNetworkIds | array<string> | no | ES enable tagged network ids |
dot1x | integer | yes | Dot1x should be a value as follows: 0: force unauthorized, 1: force authorized, 2:auto |
portIsolationEnable | boolean | yes | Port-isolation enable status |
lldpMedEnable | boolean | yes | LLDP-MED enable status |
bandWidthCtrlType | integer | yes | BandWidthCtrlType should be a value as follows: 0: off, 1: rate limit, 2: storming control |
stormCtrl | StormCtrlVO | no | (StormCtrlVO not expanded; call omada_get_schema "StormCtrlVO") |
bandCtrl | BandCtrlVO | no | (BandCtrlVO not expanded; call omada_get_schema "BandCtrlVO") |
spanningTreeEnable | boolean | yes | SpanningTree enable status |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | yes | LoopbackDetect enable status |
eeeEnable | boolean | no | EEE enable status |
flowControlEnable | boolean | no | FlowControl enable status |
loopbackDetectVlanBasedEnable | boolean | no | LoopbackDetectVLANBased enable status |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
dhcpL2RelaySettings | DhcpL2RelayVO | no | (DhcpL2RelayVO not expanded; call omada_get_schema "DhcpL2RelayVO") |
fastLeaveEnable | boolean | no | IGMP Snooping fast leave enable status |
dot1pPriority | integer | no | 802.1p Priority |
trustMode | integer | no | Trust mode |
// omada_call_operation
{
"operationId": "createOswLanProfileTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new switch profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
deleteOswLanProfileTemplate
DELETE /openapi/v2/{omadacId}/sitetemplates/{siteTemplateId}/lan-profiles/{profileId}
Delete an existing switch profile template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
profileId | path | string | yes | LAN profile ID |
// omada_call_operation
{
"operationId": "deleteOswLanProfileTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"profileId": "<profileId>"
}
[...]
